diff --git a/mutt/mbyte.h b/mutt/mbyte.h
index c30c75da71..1c18c50191 100644
--- a/mutt/mbyte.h
+++ b/mutt/mbyte.h
@@ -53,5 +53,6 @@ size_t mutt_mb_width_ceiling(const wchar_t *s, size_t n, int w1);
 int    mutt_mb_width(const char *str, int col, bool display);
 int    mutt_mb_filter_unprintable(char **s);
 bool   mutt_mb_is_display_corrupting_utf8(wchar_t wc);
+void   mutt_mb_set_charset(char *charset);
 
 #endif /* _MUTT_MBYTE_H */
diff --git a/mutt/rfc2047.c b/mutt/rfc2047.c
index e063f8fe30..702b847eec 100644
--- a/mutt/rfc2047.c
+++ b/mutt/rfc2047.c
@@ -42,7 +42,10 @@
 #include "string2.h"
 
 #include <assert.h>
+<<<<<<< HEAD
 #include <errno.h>
+=======
+>>>>>>> Move most of RFC2047 implementation into the mutt library
 #include <string.h>
 
 #define ENCWORD_LEN_MAX 75
diff --git a/mutt/rfc2047.h b/mutt/rfc2047.h
deleted file mode 100644
index 54f8ceef0d..0000000000
--- a/mutt/rfc2047.h
+++ /dev/null
@@ -1,35 +0,0 @@
-/**
- * @file
- * RFC2047 MIME extensions encoding / decoding routines
- *
- * @authors
- * Copyright (C) 1996-2000,2010 Michael R. Elkins <me@mutt.org>
- * Copyright (C) 2000-2002 Edmund Grimley Evans <edmundo@rano.org>
- * Copyright (C) 2018 Pietro Cerutti <gahr@gahr.ch>
- *
- * @copyright
- * This program is free software: you can redistribute it and/or modify it under
- * the terms of the GNU General Public License as published by the Free Software
- * Foundation, either version 2 of the License, or (at your option) any later
- * version.
- *
- * This program is distributed in the hope that it will be useful, but WITHOUT
- * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
- * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
- * details.
- *
- * You should have received a copy of the GNU General Public License along with
- * this program.  If not, see <http://www.gnu.org/licenses/>.
- */
-
-#ifndef _MUTT_LIB_RFC2047_H
-#define _MUTT_LIB_RFC2047_H
-
-#define mutt_rfc2047_encode_32(a, b) mutt_rfc2047_encode(a, NULL, 32, b);
-
-void mutt_rfc2047_encode(char **pd, const char *specials, int col, const char *charsets);
-void mutt_rfc2047_decode(char **pd);
-char *mutt_rfc2047_choose_charset(const char *fromcode, const char *charsets,
-                                  char *u, size_t ulen, char **d, size_t *dlen);
-
-#endif /* _MUTT_LIB_RFC2047_H */
